<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
ReplicationViewDelegate Delegate
See Also Send Feedback

Application-specific function used by a replication view to determine whether a database file is replicated to the local site.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public delegate int ReplicationViewDelegate(
    	string name,
    	ref int result,
    	uint flags
    )

Visual Basic (Declaration)

    Public Delegate Function ReplicationViewDelegate ( _
    	name As String, _
    	ByRef result As Integer, _
    	flags As UInteger _
    ) As Integer

Visual C++

    public delegate int ReplicationViewDelegate(
    	String^ name,
    	int% result,
    	unsigned int flags
    )

#### Parameters

name
  Type: System..::.String
  The name of the database file.

result
  Type: System..::.Int32 %
  Indicates whether or not the database file should be replicated. If non-zero, the database file is replicated; otherwise the database file is not replicated.

flags
  Type: System..::.UInt32
  Currently unused.

# See Also

BerkeleyDB Namespace